## bridge-utils 0.9.5

=== Makefile ===
all:				brctl/brctl brctl/brctld misc/bidi

clean:
				make -C brctl clean
				make -C libbridge clean
				make -C misc clean

brctl/brctl:			brctl/brctl.c brctl/brctl.h brctl/brctl_cmd.c brctl/brctl_disp.c libbridge/libbridge.a libbridge/libbridge.h
				make -C brctl

brctl/brctld:			brctl/brctld.c brctl/brctl.h brctl/brctl_cmd.c brctl/brctl_disp.c libbridge/libbridge.a libbridge/libbridge.h
				make -C brctl

libbridge/libbridge.a:		libbridge/if_index.c libbridge/libbridge.h libbridge/libbridge_compat.c libbridge/libbridge_devif.c libbridge/libbridge_if.c libbridge/libbridge_init.c libbridge/libbridge_misc.c libbridge/libbridge_private.h
				make -C libbridge

misc/bidi:			misc/bidi.c
				make -C misc

=== brctl/Makefile ===
all:			brctl brctld

brctl:			brctl.o brctl_cmd.o brctl_disp.o ../libbridge/libbridge.a
			gcc -Wall -g -o brctl brctl.o brctl_cmd.o brctl_disp.o ../libbridge/libbridge.a

brctld:			brctld.o brctl_cmd.o brctl_disp.o ../libbridge/libbridge.a
			gcc -Wall -g -o brctld brctld.o brctl_cmd.o brctl_disp.o ../libbridge/libbridge.a

clean:
			rm -f *.o
			rm -f brctl
			rm -f brctld
			rm -f core

brctl.o:		brctl.c brctl.h
			gcc -I../libbridge -Wall -c -g -o brctl.o brctl.c

brctld.o:		brctld.c brctl.h
			gcc -I../libbridge -Wall -c -g -o brctld.o brctld.c

brctl_cmd.o:		brctl_cmd.c brctl.h
			gcc -I../libbridge -Wall -c -g -o brctl_cmd.o brctl_cmd.c

brctl_disp.o:		brctl_disp.c brctl.h
			gcc -I../libbridge -Wall -c -g -o brctl_disp.o brctl_disp.c

=== libbridge/Makefile ===
CC = gcc
CFLAGS = -Wall -g

all:			libbridge.a

clean:
			rcsclean *
			rm -f *~
			rm -f *.o
			rm -f libbridge.a

libbridge.a:		libbridge_compat.o libbridge_devif.o libbridge_if.o libbridge_init.o libbridge_misc.o
			ar rcs libbridge.a libbridge_compat.o libbridge_devif.o libbridge_if.o libbridge_init.o libbridge_misc.o
			ranlib libbridge.a

libbridge_compat.o:	libbridge_compat.c if_index.c
			$(CC) $(CFLAGS) -c libbridge_compat.c

libbridge_devif.o:	libbridge_devif.c libbridge.h libbridge_private.h
			$(CC) $(CFLAGS) -c libbridge_devif.c

libbridge_if.o:		libbridge_if.c libbridge.h libbridge_private.h
			$(CC) $(CFLAGS) -c libbridge_if.c

libbridge_init.o:	libbridge_init.c libbridge.h libbridge_private.h
			$(CC) $(CFLAGS) -c libbridge_init.c

libbridge_misc.o:	libbridge_misc.c libbridge.h libbridge_private.h
			$(CC) $(CFLAGS) -c libbridge_misc.c

## bridge-utils 1.0.4

=== doc/Makefile ===

DESTDIR=
KERNEL_HEADERS=-I/usr/src/linux/include

INSTALL=install -s

prefix=/usr/local
exec_prefix=${prefix}
bindir=${exec_prefix}/bin
sbindir=${exec_prefix}/sbin
mandir=${prefix}/man

SUBDIRS=libbridge brctl

all:

clean:

install:
	mkdir -p $(DESTDIR)$(mandir)/man8
	install -m 644 brctl.8 $(DESTDIR)$(mandir)/man8

## bridge-utils 1.5-9-cl4.3.1u4

=== debian/changelog ===
bridge-utils (1.5-9-cl4.3.1u4) RELEASED; urgency=high

  [ dev-support ]
  * Initial changelog entry for CL4

  [ root ]
  * new build for 4.3.1 from original hash
    66d2d46d7ce6831c07db757582e83e32059310e6

 -- root <root@7490f848894d>  Tue, 14 Jun 2022 07:55:32 +0000

bridge-utils (1.5-9-cl3u2) RELEASED; urgency=medium

  * Closes: CM-16275: increase max bridges to 4096 to match kernel and check
    overflow

 -- dev-support <dev-support@cumulusnetworks.com>  Wed, 10 May 2017 15:56:30 -0700

bridge-utils (1.5-9-cl3u1) RELEASED; urgency=medium

  * Cumulus Linux versioning control 

 -- dev-support <dev-support@cumulusnetworks.com>  Thu, 04 Feb 2016 10:53:44 -0800

bridge-utils (1.5-9) unstable; urgency=low

  * Fix kernel version check and adjust it to match kernel behaviours.
    Closes: #725786.

 -- Santiago Garcia Mantinan <manty@debian.org>  Tue, 20 May 2014 23:01:06 +0200

bridge-utils (1.5-8) unstable; urgency=low

  * Change the way to set the hardware address (MAC) of the bridge,
    don't set it on the ports, set it on the bridge instead if the kernel
    is quite recent (version where it started to work is unknown, we need
    to find this). This needs testing and relates to #725786.
  * Change Architecture to linux-any. Closes: #745164.
  * Apply Colin's patch to fix cross-build, thanks. Closes: #734873.

 -- Santiago Garcia Mantinan <manty@debian.org>  Sat, 07 Dec 2013 18:55:13 +0100

bridge-utils (1.5-7) unstable; urgency=low

  * The scripts now use iproute instead of ifconfig. Closes: #698630.
  * Avoid clearing the IP (set it to 0.0.0.0) of the attached ports.
  * Set forward delay after stp (3.11 sets fd on stp). Closes: #729118.

 -- Santiago Garcia Mantinan <manty@debian.org>  Fri, 8 Nov 2013 09:55:25 +0100

bridge-utils (1.5-6) unstable; urgency=low

  * Will rewrite post wheezy, changing to suggests. Closes: #693095.
  * Applied patch to fix man typo. Closes: #683710.

 -- Santiago Garcia Mantinan <manty@debian.org>  Wed, 14 Nov 2012 10:39:43 +0100

bridge-utils (1.5-5) unstable; urgency=low

  * Set Multi-Arch: foreign. Closes: #689144.
  * Add a depends on net-tools. Closes: #688677.

 -- Santiago Garcia Mantinan <manty@debian.org>  Thu, 08 Nov 2012 19:56:15 +0100

bridge-utils (1.5-4) unstable; urgency=low

  * Remove mkdir and exit if /run/network doesn't exist. Thanks
    to Andrew Shadura. Closes: #676183.
  * Allow hotplug of ports to be user configurable and default
    to disable. Closes: #673490.

 -- Santiago Garcia Mantinan <manty@debian.org>  Fri, 29 Jun 2012 10:56:51 +0200

bridge-utils (1.5-3) unstable; urgency=low

  * First version targetting Wheezy.
  * Lintian cleans including complying with hardening, ...
  * Enable ipv6 on ports when taking bridge interface down. Thanks to
    David Fries for the bug and patch. Closes: #651652.
  * Now that #568479 is gone we can hopefully sync with Ubuntu:
    Include the new Steve's udev rule to allow attaching hotplug devices.
    Extend the definition of 'bridge_ports all' to support biosdevname.
    Thanks to Steve Langasek for his help. Closes: #626152.

 -- Santiago Garcia Mantinan <manty@debian.org>  Mon, 09 May 2011 19:02:48 +0200

bridge-utils (1.5-2) unstable; urgency=low

  * Include Ubuntu's patch to factor out parsing of bridge_ports into
    a reusable shell library.

 -- Santiago Garcia Mantinan <manty@debian.org>  Tue, 03 May 2011 19:35:38 +0200

bridge-utils (1.5-1) unstable; urgency=low

  * New upstream version. Closes: #611761.
  * Relocate ifupdown.sh to /lib/bridge-utils and brctl to /sbin.
    Closes: #569350.
  * Removed SMPNOTES, upstream updated FIREWALL. Closes: #518649.
  * Removed the 30 seconds wait. Closes: #549696.
  * Only suggest ifupdown. Closes: #595115.
  * Remove the versioning from the description. Closes: #595116.
  * Disable ipv6 on the interfaces of the bridge. Closes: #607741.
  * On newer kernels we wait only till we forward. Closes: #549696.
  * Use sleep 0.1 (0.01 was too much), thanks Mikhail. Closes: #572835.
  * Set ret to -1 on errno to avoid returning 0. Closes: #574363.
  * Fix manpage setageing explanation. Closes: #523141.
  * Make it lintian clean again.

 -- Santiago Garcia Mantinan <manty@debian.org>  Tue, 19 Apr 2011 19:45:51 +0200

bridge-utils (1.4-5) unstable; urgency=low

  * Try to fix the lack of bridge/ on the sysfs paths. Closes: 496491.
  * Add a comment on the bridge-utils-interfaces manpage about the
    misusage of stanzas for the bridge ports in the interfaces file.
    Closes: #488313.

 -- Santiago Garcia Mantinan <manty@debian.org>  Wed, 27 Aug 2008 21:21:41 +0200

bridge-utils (1.4-4) unstable; urgency=low

  * Add a set of examples to help the bridges on hibernation, ...

 -- Santiago Garcia Mantinan <manty@debian.org>  Tue, 08 Jul 2008 21:26:46 +0200

bridge-utils (1.4-3) unstable; urgency=low

  * Fix reference to the bridge-utils-interfaces manpage on the
    README.Debian file. Closes: #484853.
  * Bump Standards-Version.

 -- Santiago Garcia Mantinan <manty@debian.org>  Sun, 15 Jun 2008 12:29:13 +0200

bridge-utils (1.4-2) unstable; urgency=low

  * Fix README.Debian pointer. Closes: #461524.
  * Fix bridge-utils-interfaces(5). Closes: #464500.
  * Fix package descriptions. Closes: #466783.

 -- Santiago Garcia Mantinan <manty@debian.org>  Thu, 17 Apr 2008 13:18:30 +0200

bridge-utils (1.4-1) unstable; urgency=low

  * New upstream version.
  * Merge if-pre-up and if-post-down scripts into ifupdown.sh and don't
    consider it a conffile anymore (moved to /usr/share/bridge-utils).
  * Add a watch file.
  * Write a bridge-utils-interfaces manpage with the information that
    we used to have on the README.Debian file. Closes: #410278.
  * Add the new option bridge_waitport to wait for ports to become
    available. Closes: #454752.

 -- Santiago Garcia Mantinan <manty@debian.org>  Wed, 09 Jan 2008 23:05:22 +0100

bridge-utils (1.2-2) unstable; urgency=low

  * Fix port no and id reading from sysfs (taken from git).


=== debian/control ===
Source: bridge-utils
Section: net
Priority: optional
Maintainer: Santiago Garcia Mantinan <manty@debian.org>
Standards-Version: 3.9.5
Build-Depends: debhelper (>=9.0.0), dpkg-dev (>=1.16.1), autoconf
XS-Build-Source: True
XS-Cumulus-Valid-Arch: amd64 armel
XBCS-Vcs-Hash: 66d2d46d7ce6831c07db757582e83e32059310e6

Package: bridge-utils
Architecture: linux-any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: net-tools
Description: Utilities for configuring the Linux Ethernet bridge
 This package contains utilities for configuring the Linux Ethernet
 bridge in Linux. The Linux Ethernet bridge can be used for connecting
 multiple Ethernet devices together. The connecting is fully
 transparent: hosts connected to one Ethernet device see hosts
 connected to the other Ethernet devices directly.
XBCS-Vcs-Hash: 66d2d46d7ce6831c07db757582e83e32059310e6

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

IDIR=$(CURDIR)/debian/bridge-utils
INSTALL=install
INSTALL_PROGRAM = $(INSTALL) -p -o root -g root -m 755
INSTALL_SCRIPT  = $(INSTALL) -p -o root -g root -m 755

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# Make sure we get the right build flags (needs dpkg >= 1.16.1)
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	autoconf
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --with-linux-headers="$(CURDIR)/debian/include"
	touch configure-stamp

build: build-arch build-indep

build-arch: build-stamp

build-indep: build-stamp

build-stamp: configure-stamp
	dh_testdir

	
	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp configure bridge-utils.spec libbridge/config.h libbridge/stamp-h1

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) maintainer-clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	#$(MAKE) install prefix=$(CURDIR)/debian/bridge-utils/usr
	$(INSTALL_PROGRAM) -m 755 brctl/brctl $(IDIR)/sbin
	$(INSTALL_SCRIPT) -m 755 debian/bridge-utils.sh $(IDIR)/lib/bridge-utils/
	$(INSTALL_SCRIPT) -m 755 debian/bridge-network-interface.sh $(IDIR)/lib/udev/bridge-network-interface
	
#	dh_movefiles

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installemacsen
#	dh_installpam
	dh_installinit
	dh_installudev --name bridge-network-interface
#	dh_installcron
	dh_installman doc/brctl.8
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===

version=3

http://sf.net/bridge/bridge-utils-(.+)\.tar\.gz

## bridge-utils 1.6

=== debian/changelog ===
bridge-utils (1.6-2) unstable; urgency=medium

  * Bump Standards-Version.
  * Preserve gcc flags set when building the lib.

 -- Santiago Garcia Mantinan <manty@debian.org>  Mon, 28 Jan 2019 00:25:14 +0100

bridge-utils (1.6-1) unstable; urgency=low

  * New upstream version.
  * Change default back to not hotplug. Closes: #892277.
  * Allow mtu to be set on the bridge by propagating it to the bridged
    interfaces. Closes: #661711.
  * Remove kernel headers from the package.

 -- Santiago Garcia Mantinan <manty@debian.org>  Tue, 15 Jan 2019 13:18:33 +0100

bridge-utils (1.5-16) unstable; urgency=medium

  * Don't set dev globally at bridge-utils.sh. Closes: #873086.

 -- Santiago Garcia Mantinan <manty@debian.org>  Sun, 08 Apr 2018 23:06:30 +0200

bridge-utils (1.5-15) unstable; urgency=medium

  * Fix substrings on interfaces. Closes: #873087.
  * Make it lintian clean sticking to 1.0 source format for now.
    No time to properly comment all the patches right now.

 -- Santiago Garcia Mantinan <manty@debian.org>  Fri, 02 Mar 2018 22:08:20 +0100

bridge-utils (1.5-14) unstable; urgency=low

  * Fix a problem with some vlan interfaces not being created.

 -- Santiago Garcia Mantinan <manty@debian.org>  Mon, 26 Jun 2017 17:48:37 +0200

bridge-utils (1.5-13) unstable; urgency=low

  * Fix a hardcoded interface name on bridge-utils.sh. Closes: #854841.

 -- Santiago Garcia Mantinan <manty@debian.org>  Sat, 11 Feb 2017 00:16:45 +0100

bridge-utils (1.5-12) unstable; urgency=medium

  * Add vlan support so that old setups using vlans as ports don't break.

 -- Santiago Garcia Mantinan <manty@debian.org>  Sun, 22 Jan 2017 00:23:50 +0100

bridge-utils (1.5-11) unstable; urgency=low

  * Change /etc/default/bridge-utils to enable addition of hotplugged
    interfaces.
  * Integration with the vlan package is causing problems, we have
    removed it and rely on ifupdown implementing it. Closes: #818849.

 -- Santiago Garcia Mantinan <manty@debian.org>  Wed, 14 Dec 2016 23:26:05 +0100

bridge-utils (1.5-10) unstable; urgency=low

  * Fix wait when bridge is ready. Thanks Alexander. Closes: #779348.
  * Added some documentation on the README.Debian file to comment some
    config bugs. Closes: #765000, #815927.
  * Clarify pre-up commands changing an example on the man page for
    bridge-utils-interfaces. Closes: #783956.

 -- Santiago Garcia Mantinan <manty@debian.org>  Thu, 10 Nov 2016 22:23:49 +0100

=== debian/control ===
Source: bridge-utils
Section: net
Priority: optional
Maintainer: Santiago Garcia Mantinan <manty@debian.org>
Standards-Version: 4.3.0.1
Build-Depends: debhelper (>=9.0.0), dpkg-dev (>=1.16.1), autoconf

Package: bridge-utils
Architecture: linux-any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: ifupdown
Conflicts: ifupdown (<< 0.8.17)
Description: Utilities for configuring the Linux Ethernet bridge
 This package contains utilities for configuring the Linux Ethernet
 bridge in Linux. The Linux Ethernet bridge can be used for connecting
 multiple Ethernet devices together. The connecting is fully
 transparent: hosts connected to one Ethernet device see hosts
 connected to the other Ethernet devices directly.

=== debian/rules ===
--- 
+++ 
@@ -23,21 +23,12 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-else
-	CFLAGS += -O2
-endif
-ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -g
-endif
-
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
 	# Add here commands to configure the package.
 	autoconf
-	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --with-linux-headers="$(CURDIR)/debian/include"
+	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info 
 	touch configure-stamp
 
 build: build-arch build-indep
@@ -74,6 +65,9 @@
 	# Add here commands to install the package into debian/tmp.
 	#$(MAKE) install prefix=$(CURDIR)/debian/bridge-utils/usr
 	$(INSTALL_PROGRAM) -m 755 brctl/brctl $(IDIR)/sbin
+	$(INSTALL_SCRIPT) -m 755 debian/ifupdown.sh $(IDIR)/lib/bridge-utils/
+	ln -s /lib/bridge-utils/ifupdown.sh $(IDIR)/etc/network/if-pre-up.d/bridge
+	ln -s /lib/bridge-utils/ifupdown.sh $(IDIR)/etc/network/if-post-down.d/bridge
 	$(INSTALL_SCRIPT) -m 755 debian/bridge-utils.sh $(IDIR)/lib/bridge-utils/
 	$(INSTALL_SCRIPT) -m 755 debian/bridge-network-interface.sh $(IDIR)/lib/udev/bridge-network-interface
 	
@@ -96,7 +90,7 @@
 	dh_installinit
 	dh_installudev --name bridge-network-interface
 #	dh_installcron
-	dh_installman doc/brctl.8
+	dh_installman doc/brctl.8 debian/bridge-utils-interfaces.5
 	dh_installinfo
 #	dh_undocumented
 	dh_installchangelogs ChangeLog

=== debian/watch ===

version=3

https://www.kernel.org/pub/linux/utils/net/bridge-utils/bridge-utils-(.+)\.tar\.xz

## bridge-utils 1.7

=== debian/changelog ===
bridge-utils (1.7-1ubuntu3) jammy; urgency=medium

  * No-change rebuild for ppc64el baseline bump.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 23 Mar 2022 10:44:35 +0100

bridge-utils (1.7-1ubuntu2) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:09:41 +0200

bridge-utils (1.7-1ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't call ifup from bridge-network-interface, instead just call brctl
      and let udev/upstart bring the interface up.
    - debian/ifupdown.sh: Handle bridge params which use port and value
    - debian/bridge-utils-interface.5:
      + Update max, default value for path cost
      + Update unsettable gcint value for newer kernels

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 17 Mar 2021 12:32:22 -0700

bridge-utils (1.7-1) unstable; urgency=medium

  * New upstream version.
    Only messages related changes and compilation fixes.
  * Remove preserve_gcc_flags patch (in upstream now).
  * Bump standards, no change needed.
  * Clarify portprio and fix example.
  * Update upstream url.
  * Fix NEWS versioning of last entry :-?

 -- Santiago Garcia Mantinan <manty@debian.org>  Wed, 24 Feb 2021 12:34:03 +0100

bridge-utils (1.6-6) unstable; urgency=medium

  * Fix IPv6 address getting assigned on hotplug devices.
    Closes: #980752.
  * Fix waiting so that DAD works again. Closes: #982943.
  * Move mac setting before brctl addif to ensure mac setting.
    Closes: #980856.
  * Update documentation and add examples. Closes: #765098.
  * Update manpages. Closes: #981253.
  * Add a note on MTU settings. Closes: #292088.
  * Hook also on down to recreate the bridge so that multiple
    stanzas work Ok on ifdown. Closes: #319832.

 -- Santiago Garcia Mantinan <manty@debian.org>  Tue, 16 Feb 2021 13:29:04 +0100

bridge-utils (1.6-5ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't call ifup from bridge-network-interface, instead just call brctl
      and let udev/upstart bring the interface up.
    - debian/ifupdown.sh: Handle bridge params which use port and value
    - debian/bridge-utils-interface.5:
      + Update max, default value for path cost
      + Update unsettable gcint value for newer kernels

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 29 Jan 2021 12:30:23 -0800

bridge-utils (1.6-5) unstable; urgency=low

  * Overload bridge_hw to allow do specify an interface as well as the
    MAC address. Closes: #966244.
  * Change man page for bridge-utils-interfaces and news fileto document
    this overloading.

 -- Santiago Garcia Mantinan <manty@debian.org>  Fri, 22 Jan 2021 11:08:47 +0100

bridge-utils (1.6-4) unstable; urgency=low

  * Add en* to the device regex so that all catches them. Closes: #966319.
  * Document MAC address changes on news. Closes: #980505.

 -- Santiago Garcia Mantinan <manty@debian.org>  Thu, 21 Jan 2021 10:51:31 +0100

bridge-utils (1.6-3ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Don't call ifup from bridge-network-interface, instead just call brctl
      and let udev/upstart bring the interface up.
    - debian/ifupdown.sh: Handle bridge params which use port and value
    - debian/bridge-utils-interface.5:
      + Update max, default value for path cost
      + Update unsettable gcint value for newer kernels

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 01 May 2020 15:37:05 -0700

bridge-utils (1.6-3) unstable; urgency=medium

  * Support VLAN aware setups where we need vlan filtering.
    Thanks Benedikt Spranger for the patch. Closes: #950879.
  * Clarify on manual page that stp will get IPv6 lost. Closes: #736336.
  * Add a 1 second sleep if hw address needs to be changed. Closes: #945466.

 -- Santiago Garcia Mantinan <manty@debian.org>  Thu, 30 Apr 2020 10:06:38 +0200

bridge-utils (1.6-2ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Don't call ifup from bridge-network-interface, instead just call brctl
      and let udev/upstart bring the interface up.
    - debian/ifupdown.sh: Handle bridge params which use port and value
    - debian/bridge-utils-interface.5:
      + Update max, default value for path cost
      + Update unsettable gcint value for newer kernels

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 01 Feb 2019 13:07:54 -0800

bridge-utils (1.5-16ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Don't call ifup from bridge-network-interface, instead just call brctl
      and let udev/upstart bring the interface up.
    - debian/ifupdown.sh: Handle bridge params which use port and value
    - debian/bridge-utils-interface.5:
      + Update max, default value for path cost
      + Update unsettable gcint value for newer kernels

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 15 May 2018 07:25:38 -0700

bridge-utils (1.5-15ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Don't call ifup from bridge-network-interface, instead just call brctl
      and let udev/upstart bring the interface up.
    - debian/ifupdown.sh: Handle bridge params which use port and value
    - debian/bridge-utils-interface.5:
      + Update max, default value for path cost
      + Update unsettable gcint value for newer kernels
  * Dropped changes, included in Debian:
    - Set BRIDGE_HOTPLUG=yes as that's the behaviour we had in the past and
      need for the event based networking. Reverting change from 1.5-4.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 16 Mar 2018 16:10:39 -0700

bridge-utils (1.5-9ubuntu2) yakkety; urgency=medium

  * debian/ifupdown.sh:
    - Handle bridge params which use port and value (LP: #1576876)
  * debian/bridge-utils-interface.5:
    - Update max, default value for path cost (LP: #1576870)


=== debian/control ===
--- 
+++ 
@@ -1,9 +1,12 @@
 Source: bridge-utils
 Section: net
 Priority: optional
-Maintainer: Santiago Garcia Mantinan <manty@debian.org>
-Standards-Version: 4.3.0.1
-Build-Depends: debhelper (>=9.0.0), dpkg-dev (>=1.16.1), autoconf
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Santiago Garcia Mantinan <manty@debian.org>
+Standards-Version: 4.5.1
+Vcs-Git: https://salsa.debian.org/manty/bridge-utils.git
+Vcs-Browser: https://salsa.debian.org/manty/bridge-utils
+Build-Depends: debhelper (>=13), dpkg-dev (>=1.16.1), autoconf
 
 Package: bridge-utils
 Architecture: linux-any

=== debian/rules ===
--- 
+++ 
@@ -67,6 +67,7 @@
 	$(INSTALL_PROGRAM) -m 755 brctl/brctl $(IDIR)/sbin
 	$(INSTALL_SCRIPT) -m 755 debian/ifupdown.sh $(IDIR)/lib/bridge-utils/
 	ln -s /lib/bridge-utils/ifupdown.sh $(IDIR)/etc/network/if-pre-up.d/bridge
+	ln -s /lib/bridge-utils/ifupdown.sh $(IDIR)/etc/network/if-down.d/bridge
 	ln -s /lib/bridge-utils/ifupdown.sh $(IDIR)/etc/network/if-post-down.d/bridge
 	$(INSTALL_SCRIPT) -m 755 debian/bridge-utils.sh $(IDIR)/lib/bridge-utils/
 	$(INSTALL_SCRIPT) -m 755 debian/bridge-network-interface.sh $(IDIR)/lib/udev/bridge-network-interface

## bridge-utils 1.7.1

=== debian/changelog ===
bridge-utils (1.7.1-4ubuntu2) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Wed, 03 Sep 2025 15:03:58 +0000

bridge-utils (1.7.1-4ubuntu1) plucky; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - debian/bridge-network-interface.sh: Don't call ifup from
      bridge-network-interface, instead just call brctl and let
      udev/upstart bring the interface up (LP: #1003656).
    - debian/ifupdown.sh: Handle bridge params which use port and
      value (LP: #1576876).
    - debian/bridge-utils-interface.5: Update unsettable gcint value
      for newer kernels (LP: #1576858).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 14 Mar 2025 20:49:52 -0500

bridge-utils (1.7.1-4) unstable; urgency=low

  * Add bridge_token option to set tokenized interface id for the
    bridges, thanks to Oliver. Closes: #1059332.

 -- Santiago García Mantiñán <manty@debian.org>  Fri, 07 Mar 2025 15:36:34 +0100

bridge-utils (1.7.1-3ubuntu1) plucky; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - debian/bridge-network-interface.sh: Don't call ifup from
      bridge-network-interface, instead just call brctl and let
      udev/upstart bring the interface up (LP: #1003656).
    - debian/ifupdown.sh: Handle bridge params which use port and
      value (LP: #1576876).
    - debian/bridge-utils-interface.5: Update unsettable gcint value
      for newer kernels (LP: #1576858).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 11 Feb 2025 15:56:44 -0600

bridge-utils (1.7.1-3) unstable; urgency=medium

  * Merge and fix Gioele's patches, thanks. Closes: #1050200.
  * After Giole's it was already building rootless. Closes: #1089296.
  * Add CPPFLAGS to make blhc happy.
  * Update standards.

 -- Santiago García Mantiñán <manty@debian.org>  Thu, 09 Jan 2025 09:42:26 +0100

bridge-utils (1.7.1-2ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable (LP: #2064391). Remaining changes:
    - debian/bridge-network-interface.sh: Don't call ifup from
      bridge-network-interface, instead just call brctl and let
      udev/upstart bring the interface up (LP: 1003656).
    - debian/ifupdown.sh: Handle bridge params which use port and
      value (LP: 1576876).
    - debian/bridge-utils-interface.5: Update unsettable gcint value
      for newer kernels (LP: 1576858).

 -- Miriam España Acebal <miriam.espana@canonical.com>  Mon, 27 May 2024 17:13:05 +0200

bridge-utils (1.7.1-2) unstable; urgency=low

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Update standards version to 4.6.2, no changes needed.

  [ Chris Hofstaedtler ]
  * Install files into /usr instead of /. (Closes: #1059394)

 -- Santiago García Mantiñán <manty@debian.org>  Fri, 01 Mar 2024 23:09:33 +0100

bridge-utils (1.7.1-1ubuntu2) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 17:54:51 +0200

bridge-utils (1.7.1-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Don't call ifup from bridge-network-interface, instead just call brctl
      and let udev/upstart bring the interface up.
    - debian/ifupdown.sh: Handle bridge params which use port and value
    - debian/bridge-utils-interface.5:
      + Update unsettable gcint value for newer kernels
  * Dropped changes, no longer applicable:
    - debian/bridge-utils-interface.5:
      + Update max, default value for path cost

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 23 Feb 2023 15:07:42 +0000

bridge-utils (1.7.1-1) unstable; urgency=low

  * New upstream version.
    Only some fixes for compilation warnings and the man page.
  * Update standards version to 4.6.1, no changes needed.
  * Set debhelper-compat version in Build-Depends.
  * Trim trailing whitespace.

 -- Santiago García Mantiñán <manty@debian.org>  Wed, 25 Jan 2023 22:11:52 +0100

bridge-utils (1.7-2) unstable; urgency=medium

  * Add BRIDGE_DISABLE_LINKLOCAL_IPV6_ALSO_PHYS to /etc/default/bridge-utils
    to stop disabling IPv6 on physical interfaces of vlan ports if set to no.
    Closes: #989162.
  * Update interfaces man page, IPv6 works with STP on after DAD was fixed.
    Closes: #980507.
  * Treat vlan ports the same as ifupdown, avoid octal vlans. Closes: #995627.
  * Update NEWS file to fix us blaming the kernel for the MAC address
    selection that is really overridden by systemd.

 -- Santiago García Mantiñán <manty@debian.org>  Mon, 03 Oct 2022 23:11:46 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: net
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Santiago Garcia Mantinan <manty@debian.org>
-Standards-Version: 4.5.1
+XSBC-Original-Maintainer: Santiago García Mantiñán <manty@debian.org>
+Rules-Requires-Root: no
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/manty/bridge-utils.git
 Vcs-Browser: https://salsa.debian.org/manty/bridge-utils
-Build-Depends: debhelper (>=13), dpkg-dev (>=1.16.1), autoconf
+Build-Depends: debhelper-compat (= 13), dh-exec, dpkg-dev (>=1.16.1), autoconf
 
 Package: bridge-utils
 Architecture: linux-any

=== debian/rules ===
#!/usr/bin/make -f
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_installudev:
	dh_installudev --name bridge-network-interface

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) maintainer-clean
	rm -f libbridge/config.h
	dh_auto_clean
